#include "stdafx.h"
#include <windows.h>
#include <stdio.h>

#include <string>
#include <set>
#include <map>
#include <vector>
#include <list>

#include "utils/CseXml.h"
#include "utils/serializer.h"
#include "xml/xmlParser.h"
#include "utils/TValueHolder.h"
#include "utils/static_string.h"
#include "utils/vcalendar.h"

#include <sys/stat.h>
#include <fcntl.h>
#include <io.h>

using namespace std;
using namespace Utils;

int main(int argc, char** argv)
{
	int f = open("DecodedBase64.bin", O_CREAT|O_BINARY|O_RDONLY);
	if (f != -1)
	{
		size_t size = filelength(f);
		shared_ptr<char> buf(new char [size+1]);
		buf.get()[size] = '\0';
		read(f, buf.get(), size);
		close(f);
		string method;
		string vcal(buf.get());
		VCal2EventInfo(method, vcal);
	}

	return 0;
}
